#ifndef THERM_ADM103X_H
#define THERM_ADM103X_H

#define ADM103X_MAJOR 63 // Experimental
#define ADM103X_MINOR 200

typedef struct _IOC_Adm103x_ {
	unsigned char id;        /* sensor or fan id        */
	unsigned char mintemp;   /* fan starting temp  (deg)*/
	unsigned char rangetemp; /* fan speeding range (deg)*/
	unsigned char minpwm;    /* min fan speed  (percent)*/
	signed long int millitemp; /* current temp  (millideg)*/
	unsigned char hysteresis;/* current histeresis (deg)*/
	unsigned char reg;       /* accessed register       */
	unsigned char value;     /* value get/set into reg  */
} IOC_Adm103x;

#define ADM103X_IOC_GETTEMP                1
#define ADM103X_IOC_GETLIMITS              2
#define ADM103X_IOC_SETLIMITS              3
#define ADM103X_IOC_SETMINPWM              4
#define ADM103X_IOC_GETMINPWM              5
#define ADM103X_IOC_CHECK_IF_FAN_IS_NEEDED 6
#define ADM103X_IOC_SETHYSTERESIS          7
#define ADM103X_IOC_GETHYSTERESIS          8
#define ADM103X_IOC_GETREGISTER            9



#endif // THERM_ADM103X_H
